dofile(LockOn_Options.common_script_path.."elements_defs.lua")

PCN_DEFAULT_LEVEL     = 8

SetScale(FOV)

----------- Fonts --------------
pcn_gauge_font			= "pcn_gauge_font"
pcn_font_size_default	= {0.0095,0.0095}
pcn_font_size_modifiers	= {0.005,0.005}
--------------------------------

function add_layer(name, pos, align, value, size, controllers)
    local	Elem				    = CreateElement "ceStringPoly"
            Elem.name				= name
            Elem.material			= pcn_gauge_font
            Elem.init_pos			= pos
            Elem.alignment			= align
            Elem.value				= value
            Elem.stringdefs		    = size
            Elem.controllers		= controllers
            
            Elem.use_mipfilter      = true
            Elem.h_clip_relation    = h_clip_relations.COMPARE
            Elem.level			    = PCN_DEFAULT_LEVEL
            Elem.additive_alpha     = true
            Elem.collimated 		= false
            Add(Elem)  
end

